import { BaseDomainEvent } from './base-domain.event';

export class ItemUnfavoritedEvent extends BaseDomainEvent {
  readonly eventType = 'workspace.item.unfavorited';

  constructor(
    public readonly userId: string,
    public readonly targetType: string,
    public readonly targetId: string,
  ) {
    super();
  }
}
